Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring
Class MuleApplicationContext

    java.lang.Object
      org.springframework.core.io.DefaultResourceLoader
          org.springframework.context.support.AbstractApplicationContext
              org.springframework.context.support.AbstractRefreshableApplicationContext
                  org.springframework.context.support.AbstractXmlApplicationContext
                      org.mule.config.spring.MuleApplicationContext

All Implemented Interfaces:
  org.springframework.beans.factory.BeanFactory, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.HierarchicalBeanFactory, org.springframework.beans.factory.ListableBeanFactory, org.springframework.context.ApplicationContext, org.springframework.context.ApplicationEventPublisher, org.springframework.context.ConfigurableApplicationContext, org.springframework.context.Lifecycle, org.springframework.context.MessageSource, org.springframework.core.io.ResourceLoader, org.springframework.core.io.support.ResourcePatternResolver

    public class MuleApplicationContext

extends org.springframework.context.support.AbstractXmlApplicationContext

`MuleApplicationContext` is a simple extension application context that allows resources to be loaded from the Classpath of file system using the MuleBeanDefinitionReader.

Field Summary

Fields inherited from class org.springframework.context.support.AbstractApplicationContext
`APPLICATION_EVENT_MULTICASTER_BEAN_NAME, logger, MESSAGE_SOURCE_BEAN_NAME`

Fields inherited from interface org.springframework.beans.factory.BeanFactory
`FACTORY_BEAN_PREFIX`

Fields inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`CLASSPATH_ALL_URL_PREFIX`

Fields inherited from interface org.springframework.core.io.ResourceLoader
`CLASSPATH_URL_PREFIX`

Constructor Summary
`MuleApplicationContext(MuleContext muleContext, ConfigResource[] configResources)` Parses configuration files creating a spring ApplicationContext which is used as a parent registry using the SpringRegistry registry implementation to wraps the spring ApplicationContext
`MuleApplicationContext(MuleContext muleContext, org.springframework.core.io.Resource[] springResources)`

Method Summary
`protected org.springframework.beans.factory.support.DefaultListableBeanFactory` | `createBeanFactory()`
`protected org.springframework.core.io.Resource[]` | `getConfigResources()`
`MuleContext` | `getMuleContext()`
`protected void` | `loadBeanDefinitions(org.springframework.beans.factory.support.DefaultListableBeanFactory beanFactory)`
`protected void` | `prepareBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`

Methods inherited from class org.springframework.context.support.AbstractXmlApplicationContext
`getConfigLocations, initBeanDefinitionReader, loadBeanDefinitions`

Methods inherited from class org.springframework.context.support.AbstractRefreshableApplicationContext
`closeBeanFactory, customizeBeanFactory, getBeanFactory, refreshBeanFactory`

Methods inherited from class org.springframework.context.support.AbstractApplicationContext
`addApplicationListener, addBeanFactoryPostProcessor, addListener, cancelRefresh, close, containsBean, containsBeanDefinition, containsLocalBean, destroy, destroyBeans, doClose, finishRefresh, getAliases, getApplicationListeners, getAutowireCapableBeanFactory, getBean, getBean, getBeanDefinitionCount, getBeanDefinitionNames, getBeanFactoryPostProcessors, getBeanNamesForType, getBeanNamesForType, getBeansOfType, getBeansOfType, getDisplayName, getInternalParentBeanFactory, getInternalParentMessageSource, getLifecycleBeans, getMessage, getMessage, getMessage, getParent, getParentBeanFactory, getResourcePatternResolver, getResources, getStartupDate, getType, initApplicationEventMulticaster, initMessageSource, invokeBeanFactoryPostProcessors, isActive, isPrototype, isRunning, isSingleton, isTypeMatch, obtainFreshBeanFactory, onClose, onRefresh, postProcessBeanFactory, prepareRefresh, publishEvent, refresh, registerBeanPostProcessors, registerListeners, registerShutdownHook, setDisplayName, setParent, start, stop, toString`

Methods inherited from class org.springframework.core.io.DefaultResourceLoader
`getClassLoader, getResource, getResourceByPath, setClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.core.io.ResourceLoader
`getClassLoader, getResource`

Constructor Detail

### MuleApplicationContext

    public MuleApplicationContext(MuleContext muleContext,
                                  ConfigResource[] configResources)
                           throws org.springframework.beans.BeansException

  Parses configuration files creating a spring ApplicationContext which is used as a parent registry using the SpringRegistry registry implementation to wraps the spring ApplicationContext

  Parameters:
    `configResources` -
  Throws:
    `org.springframework.beans.BeansException`
  See Also:
    `SpringRegistry`

### MuleApplicationContext

    public MuleApplicationContext(MuleContext muleContext,
                                  org.springframework.core.io.Resource[] springResources)
                           throws org.springframework.beans.BeansException

Throws:
  `org.springframework.beans.BeansException`

Method Detail

### prepareBeanFactory

    protected void prepareBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)

  Overrides:
    `prepareBeanFactory` in class `org.springframework.context.support.AbstractApplicationContext`

### getConfigResources

    protected org.springframework.core.io.Resource[] getConfigResources()

  Overrides:
    `getConfigResources` in class `org.springframework.context.support.AbstractXmlApplicationContext`

### loadBeanDefinitions

    protected void loadBeanDefinitions(org.springframework.beans.factory.support.DefaultListableBeanFactory beanFactory)
                                throws IOException

  Overrides:
    `loadBeanDefinitions` in class `org.springframework.context.support.AbstractXmlApplicationContext`
  Throws:
    `IOException`

### createBeanFactory

    protected org.springframework.beans.factory.support.DefaultListableBeanFactory createBeanFactory()

  Overrides:
    `createBeanFactory` in class `org.springframework.context.support.AbstractRefreshableApplicationContext`

### getMuleContext

    public MuleContext getMuleContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.